package com.kmall.manager.dto;

import java.io.Serializable;

/**
 * 活体人脸核身接口请求参数
 * @author huangyq
 * @version 1.0
 * 2019-11-20 15:11
 */
public class FaceIdRequestDto implements Serializable {

    private static final long serialVersionUID = -4707152622304052229L;
    //商户编号
    private String merchId;
    //商户名称
    private String merchName;
    //第三方商户代码
    private String thirdPartyMerchCode;
    //第三方商户名称
    private String thirdPartyMerchName;

    private String idCard;//身份证号

    private String name;//姓名

    private String videoBase64;//视频的BASE64值

    /**
     * 活体检测类型，取值：LIP/ACTION/SILENT。
     * LIP为数字模式，ACTION为动作模式，SILENT为静默模式，三种模式选择一种传入。
     */
    private String livenessType;

    /**
     * 数字模式传参：数字验证码(1234)，需先调用接口获取数字验证码；
     * 动作模式传参：传动作顺序(2,1 or 1,2)，需先调用接口获取动作顺序；
     * 静默模式传参：空。
     */
    private String validateData;

    public String getMerchId() {
        return merchId;
    }

    public void setMerchId(String merchId) {
        this.merchId = merchId;
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVideoBase64() {
        return videoBase64;
    }

    public void setVideoBase64(String videoBase64) {
        this.videoBase64 = videoBase64;
    }

    public String getLivenessType() {
        return livenessType;
    }

    public void setLivenessType(String livenessType) {
        this.livenessType = livenessType;
    }

    public String getValidateData() {
        return validateData;
    }

    public void setValidateData(String validateData) {
        this.validateData = validateData;
    }
}
